bisonc++ (6.07.00-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:02 +1100

bisonc++ (6.07.00-1) unstable; urgency=medium

  * New upstream version 6.07.00
  * Upgraded versions of icmake and libbobcat-dev in debian/control
  * debian/copyright specifies Gnu GPL-3+

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 01 Mar 2024 11:03:44 +0100

bisonc++ (6.06.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version 6.06.00
  * New upstream release repaired a segfault occurring when a rule merely
    contained a '%prec' specification and corrected the counting of the number
    of Shift-Reduce and Reduce-Reduce conflicts.
  * debian/rules now specifies the C++ standard version to use, and does not
    use the (removed) upstream's 'c++std' file anymore.

  [ tony mancill ]
  * Remove George Danchev from Uploaders.  (Thank you George!)
  * Freshen years in debian/copyright

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 15 Oct 2023 09:53:59 +0200

bisonc++ (6.05.00-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 08:13:01 -0700

bisonc++ (6.05.00-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * Installed the debian/latest branch
  * Updated the used Standards-Version to 4.6.2
  * New upstream release changed 'typedef' declarations into 'using'
    declarations, also in generated parsers, and updated the documentation
    accordingly.
  * debian/rules determines the C++ version to use from upstream's 'c++std'
    file

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 23 Mar 2023 11:00:48 +0100

bisonc++ (6.04.04-1) unstable; urgency=medium

  * New upstream version 6.04.04
  * Update debian/watch
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sat, 09 Jul 2022 22:01:17 -0700

bisonc++ (6.04.03-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Wed, 08 Sep 2021 20:37:59 -0700

bisonc++ (6.04.03-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version 6.04.03
  * Upstream added the descriptions of the various %token-* directives to the
    user manual and to the bisonc++input(7) man-page.

  [ tony mancill ]
  * Freshen debian/copyright
  * Upload to experimental

 -- tony mancill <tmancill@debian.org>  Fri, 19 Mar 2021 21:45:21 -0700

bisonc++ (6.04.02-1) unstable; urgency=low

  * New upstream version 6.04.02 uses the lexical scanner generated by flexc++
    2.09.00.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 21 Feb 2021 13:37:16 +0100

bisonc++ (6.04.01-1) unstable; urgency=low

  * New upstream version 6.04.01 uses the lexical scanner generated by flexc++
    2.08.01.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Nov 2020 20:56:00 +0100

bisonc++ (6.04.00-1) unstable; urgency=low

  * New upstream version 6.04.00 avoids having to include parserbase.h to
    access the grammar's symbolic tokens. Instead new options token-class,
    token-namespace, and token-path are available to write the symbolic tokens
    to a separate file, which may be included by classes needing access to the
    grammar's symbolic tokens.
  * Bisonc++'s documentation was updated accordingly
  * Updated debian/control (standards: 4.5.0, added debhelper-compat and
    Rules-Requires-Root specifications
  * Removed now superfluous debian/compat

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Mar 2020 16:40:50 +0100

bisonc++ (6.03.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version 6.03.00
  * Assignment to polymorphic semantic values no longer uses template
    assignment operators. Refer to bisonc++ manual (section 4.6.1) for
    details.
  * Now depends on bobcat version 5

  [ tony mancill ]
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.4.0

 -- tony mancill <tmancill@debian.org>  Thu, 25 Jul 2019 20:31:48 -0700

bisonc++ (6.02.05-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release prevents conversion ambiguities that may occasionally
    be encountered when in the generated parse.cc file 'StateType' values are
    compared. See the upstream changelog.
  * New upstream version 6.02.05

  [ tony mancill ]
  * Mark bisonc++-doc as Multi-Arch: foreign

 -- tony mancill <tmancill@debian.org>  Sat, 02 Mar 2019 08:06:29 -0800

bisonc++ (6.02.04-1) unstable; urgency=medium

  * New upstream release prevents reporting encountered tokens twice with
    option --print-tokens

  * Updated debian/control, debian/compat (debhelper >= 12)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 23 Jan 2019 14:32:20 +0100

bisonc++ (6.02.03-1) unstable; urgency=low

  * New upstream release avoids warnings produced by clang++(-7)

  * debian/rules specifies C++ standard 2a.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 10 Nov 2018 13:15:55 +0100

bisonc++ (6.02.02-1) unstable; urgency=low

  * Upstream fixed dangling symlinks  (Closes: bug #910146).

  * Added semicolons to [[fallthough]] attributes in bisonc++'s own and its
    generated code.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 03 Oct 2018 21:50:02 +0200

bisonc++ (6.02.01-1) unstable; urgency=medium

  * Upstream migration from Github to Gitlab

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 16 Jun 2018 07:29:59 +0200

bisonc++ (6.02.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream changed identifiers using double underscores to identifiers using
    single underscores, as double underscores are reserved by the language.

  [ tony mancill ]
  * Remove unnecessary build dependency on g++-7
  * Update Vcs- URLs for Alioth -> Salsa migration

 -- tony mancill <tmancill@debian.org>  Sun, 20 May 2018 07:54:27 -0700

bisonc++ (6.01.03-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * to remove lintian's warning about examples not being installed upstream
    renamed several 'examples/' directories to 'demos/'
  * git.debian.org did not receive the pristine-tar update for 6.01.02-1:
    this update should fix that for 6.01.03-1.
  * New upstream version 6.01.03

  [ tony mancill ]
  * Add build dependency on g++-7

 -- tony mancill <tmancill@debian.org>  Sat, 10 Mar 2018 21:07:31 -0800

bisonc++ (6.01.02-1) unstable; urgency=low

  * Bisonc++'s sources now use the C++-17 [[maybe_unused]] attribute where
    appropriate

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 08 Mar 2018 20:23:43 +0100

bisonc++ (6.01.01-1) unstable; urgency=low

  * Upstream fixed a missing destination of a link in the user manual.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 23 Jan 2018 13:04:23 +0100

bisonc++ (6.01.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream removed the std:: prefixes in front of thread_local from
    generated code.
  * Upstream removed a superfluous Yodl macro (Closes: bug #887731).
  * Update 'compat' and 'control' for DH 11
  * Bump Standards-Version to 4.1.3

  [ tony mancill ]
  * Update debian/rules to use the DH sequencer.

 -- tony mancill <tmancill@debian.org>  Sat, 20 Jan 2018 11:17:05 -0800

bisonc++ (6.00.00-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Fri, 23 Jun 2017 21:22:43 -0700

bisonc++ (6.00.00-1) experimental; urgency=low

  * New upstream release offers newly designed generated code; improves
    (improved data protection) the user interface of the generated parser's
    base class; provides flexible handling of polymorphic tags when errors
    were encountered; improves its debug output; adds new option and directive
    'prompt', and a new directive 'thread-safe'; and fixed handling of the
    build script's -P option and 'strip' argument.

  * Be advised that regenerating existing parsers requires some
    hand-modification: see the upstream changelog and/or bisonc++'s man-pages
    and/or manual.

  * Added a version requirement to flexc++'s build dependency.

  * Removed the --std=c++14 option from debian/rules, as that's by now the
    default.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 18 May 2017 10:20:45 +0200

bisonc++ (5.03.00-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release adds information about constructors in / adding
    constructors to bisonc++ generated parsers.

  [ tony mancill ]
  * Use debhelper 10.
  * Update Vcs URLs to use https.
  * Add flexc++ to build dependencies.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 28 Jan 2017 15:13:12 +0100

bisonc++ (5.02.00-1) unstable; urgency=low

  * New upstream release uses std::unique_ptrs to minimuze copying polymorphic
    semantic values by the generated parser itself, and adds a new
    option/directive: stack-expansion, definiing the number of elements that
    are added to a full semantic value stack.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 15 May 2016 14:53:17 +0530

bisonc++ (5.01.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * Upstream fixed a memory leak in the generated parser, and removed a
    reference to a non-existing option from bisonc++ documentation.

  [ tony mancill ]
  * Bump Standards-Version to 3.9.8 (no changes).

 -- tony mancill <tmancill@debian.org>  Sat, 07 May 2016 08:01:26 -0700

bisonc++ (5.00.01-1) unstable; urgency=low

  * Upstream fixed errors in the manual's .yo files introduced by yodl 3.07.01
    (Closes: #822410)

  * Updated yodl's dependency (3.07.01) in 'debian/control'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 25 Apr 2016 15:52:57 +0530

bisonc++ (5.00.00-1) unstable; urgency=low

  * Major version upgrade defines several new options, directives, and
    $-notations; adds two new man-pages (bisonc++input, bisonc++api), includes
    a revised version of the manual, and completely altered the implementation
    of polymorphic semantic values. Several more modifications are listed in
    upstream's changelog.

  * The manpage typos patch (see below) was processed upstream, and therefore
    debian/patches was removed.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 13 Apr 2016 13:04:34 +0530

bisonc++ (4.13.01-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release uses slightly modified build scripts, simplifying
    the install-targets of debian/rules.

  [ tony mancill ]
  * Add manpage typos patch.
  * Modify the short package description for bisonc++-doc.
  * This is the first Debian upload to addresses FTBFS with icmake.
    The build issue was fixed in upstream 4.13.00. (Closes: #808016)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 18 Dec 2015 13:55:14 +0100

bisonc++ (4.13.00-1) unstable; urgency=low

  * New upstream release (adapted to icmake 8.00.04, simplifies the
    polymorphic class Semantic.

  * Modified 'rules' so that additional documentation now appears in
    /usr/share/doc/bisonc++-doc

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 17 Dec 2015 21:07:10 +0100

bisonc++ (4.12.03-1) unstable; urgency=low

  * Upstream fixed a flaw in the installation script, Upstream's 'build'
    script now supports -P to prevent the use of precompiled headers

  * Upstream release supports the use of precompiled headers

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 06 Oct 2015 11:56:58 +0200

bisonc++ (4.12.01-1) unstable; urgency=low

  * New upstream release (no changes related to the Debian distribution)

  * Removed the get-orig-sources target from debian/rules, and updated
    debian/rules to reflect the new installation syntax of the upstream
    ./build install command

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 01 Oct 2015 18:47:25 +0200

bisonc++ (4.12.00-1) unstable; urgency=low

  * New upstream release adds new option (--no-default-action-return), and
    provides new members for handling polymorphic semantic values.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 29 Sep 2015 11:53:50 +0200

bisonc++ (4.11.00-2) unstable; urgency=low

  * New package translation using the new C++ naming system

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 09 Sep 2015 12:15:54 +0200

bisonc++ (4.11.00-1) unstable; urgency=low

  * New upstream release reinstalls the const members of polymorphic base
    classes, updates several documentation files, and the 'build' script was
    extended with a 'build uninstall' command (see the upstream changelog for
    details).

  * Bisonc++'s homepage has moved to https://fbb-git.github.io/flexcpp/.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 30 Aug 2015 11:22:23 +0200

bisonc++ (4.10.01-1) unstable; urgency=low

  * New upstream release somewhat simplifies the output obtained with the
    --construction option. Release 4.10.00-1 should probably not be used.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 17 May 2015 17:03:05 +0200

bisonc++ (4.10.00-1) unstable; urgency=low

  * New upstram release uses a completely new implementation of the look-ahead
    set computation algorithm. Related documentation was updated accordingly.
    Refer to the upstream's changelog file for further details.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 17 May 2015 13:06:19 +0200

bisonc++ (4.09.02-2) unstable; urgency=low

  * debian/rules now specifies g++ option c++14 (instead of c++0x).
  * Fixed the `reproducible builds' bug reported by Chris Lamb
    (Closes: #777318)
  * Bump Standards-Version to 3.9.6 (no changes)
  * Update versioned build-dependency on yodl.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 07 Feb 2015 15:37:51 +0100

bisonc++ (4.09.02-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release fixes bugs in the lex.in skeleton file.

  [ tony mancill ]
  * Drop versioned g++-4.9 dependency; no longer needed now that 4.9 is the
    default compiler in Debian.
  * Drop deprecated hardening-* build-deps.

 -- tony mancill <tmancill@debian.org>  Mon, 28 Jul 2014 19:26:59 -0700

bisonc++ (4.09.01-1) unstable; urgency=low

  * New upstream release adds option --no-decoration to generate a parser w/o
    performing actions when rules are matched, and adds new skeleton files
    containing a substantial amount of code previously hard-coded inside
    bisonc++ itself.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 11 May 2014 09:13:23 +0200

bisonc++ (4.08.00-1) unstable; urgency=low

  * New upstream release simplifies the implementation of polymorphic semantic
    values.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 02 Mar 2014 11:54:01 +0100

bisonc++ (4.07.02-1) unstable; urgency=low

  * New upstream release no longer rewrites existing class- and
    implementation-header files.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 17 Feb 2014 13:56:11 +0100

bisonc++ (4.07.01-1) unstable; urgency=low

  * New upstream release fixes stupid mistakes in two for-statement
    conditions, causing segfaults with release 4.07.00: mea culpa!

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 16 Feb 2014 15:52:54 +0100

bisonc++ (4.07.00-1) unstable; urgency=low

  * New upstream release improves handling of options/directives that are
    incompatible with already generated files.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 15 Feb 2014 15:08:31 +0100

bisonc++ (4.06.00-1) unstable; urgency=low

  * New upstream release adds support for raw string literals in action
    blocks that can be associated with rules and fixes some flaws in handling
    options/directives.

  * Updated Standards-Version and dependencies in 'control'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 09 Feb 2014 11:42:16 +0100

bisonc++ (4.05.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release.
    - adds new directive, reinstalls the --namespace option, generates
      warnings for options/directives bisonc++ cannot handle.

  [ tony mancill ]
  * Switch g++ dependency to g++-4.8 to allow auto-builders to install
    the necessary compiler on architectures where g++ (>= 4:4.7) is not
    available.
  * Update Vcs fields to be canonical.
  * Relax debhelper build-dep to be >= 9.

 -- tony mancill <tmancill@debian.org>  Sat, 10 Aug 2013 22:05:58 -0700

bisonc++ (4.04.01-1) unstable; urgency=low

  * New upstream release.
    - Streamlines path specifications for generated files.

  * Removed the explicit compiler version (4.7) from debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 27 May 2013 17:23:09 +0200

bisonc++ (4.04.00-1) unstable; urgency=low

  * New upstream release repairs a bug in --target-directory handling,
    see the upstream's changelog.

  * Removed the 'git-build' target from debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 26 May 2013 14:34:50 +0200

bisonc++ (4.03.00-2) unstable; urgency=low

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 08 May 2013 20:20:54 -0700

bisonc++ (4.03.00-1) experimental; urgency=low

  * New upstream release, see the upstream's changelog.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 31 Mar 2013 11:46:26 +0200

bisonc++ (4.02.01-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release, see the upstream's changelog.
  * Added new 'exceptionHandler' member, updated documents, repaired minor
    flaws
  * build script recognizes CXX, CPPFLAGS, CXXFLAGS, LDFLAGS, and SKEL
    environment variables

  [ tony mancill ]
  * debian/rules
    - Add DEB_BUILD_HARDENING flag
    - Set CXX=g++-4.7 to match build dependency
  * debian/control
    - Update g++ build-dep to g++-4.7
    - Bump Standards-Version to 3.9.4 (no changes)
    - Set Vcs fields to point to collab-maint git repo
  * Upload to experimental due to versioned dependency on bobcat

 -- tony mancill <tmancill@debian.org>  Tue, 12 Mar 2013 21:38:14 -0700

bisonc++ (4.01.00-1) unstable; urgency=low

  * new upstream release depends on bobcat >= 3.00.00 and fixes some small
    issues (cf. the upstream changelog)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 05 May 2012 17:44:12 +0200

bisonc++ (4.00.00-1) unstable; urgency=low

  * new upstream release moves to the next major release, as bisonc++ itself
    is now capable of generating a parser using polymorphic semantic
    values. No additional user-provided implementations are required.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Apr 2012 14:21:58 +0200

bisonc++ (3.01.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * new upstream release adds accidentally omitted '%print-tokens' directive.

  [ tony mancill ]
  * set Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Mon, 27 Feb 2012 23:21:54 +0000

bisonc++ (3.00.00-1) unstable; urgency=low

  * new upstream release represents a major source overhaul and standardizes
    options and directives. See the upstream's changelog for details.

  * NOTE: Existing Parser class interfaces (i.e. parser.h) must be
    (hand-) modified by declaring a private member

        void print__();

    See the man-page and/or manual for details about print__.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 20 Feb 2012 16:36:38 +0100

bisonc++ (2.09.04-1) unstable; urgency=low

  * new upstream release uses range-based for loops
  * Build-Depends on g++ (>= 4.6.2)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 04 Jan 2012 12:30:48 +0100

bisonc++ (2.09.03-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * new upstream release cleans code and recognizes CXXFLAGS and LDFLAGS
  * Build-Depends on g++ (>= 4:4.6.0)

  [ tony mancill ]
  * Add build-arch target to debian/rules.

 -- tony mancill <tmancill@debian.org>  Mon, 27 Jun 2011 22:07:06 -0700

bisonc++ (2.09.02-2) unstable; urgency=low

  * build-depend on (fixed) bobcat >= 2.15.01.

 -- George Danchev <danchev@spnet.net>  Thu, 05 May 2011 22:44:52 +0300

bisonc++ (2.09.02-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release fixes bugs detected by g++ 4.6.

  [ tony mancill ]
  * Remove debian/patches/624958.patch.

 -- tony mancill <tmancill@debian.org>  Tue, 03 May 2011 21:14:48 -0700

bisonc++ (2.9.1-3) unstable; urgency=low

  * Set source package format to "3.0 (quilt)"
  * Add patch to include stdlib.h (FTBFS on sid) (Closes: #624958)
  * Bump standards version to 3.9.2 (no changes needed)
  * Depend on debhelper 7.0.15; bump debian/compat to 7.

 -- tony mancill <tmancill@debian.org>  Mon, 02 May 2011 21:18:26 -0700

bisonc++ (2.9.1-2) unstable; urgency=low

  * Set distribution to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 24 Dec 2010 18:25:41 -0800

bisonc++ (2.9.1-1) experimental; urgency=low

    New upstream release (build depends on Yodl 3.00.0)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 10 Nov 2010 15:04:24 +0100

bisonc++ (2.9.0-1) experimental; urgency=low

  [ Frank B. Brokken ]
    New upstream release (build depends on bobcat 2.09.02)

  [ tony mancill ]
  * Set distribution to experiemental.

 -- tony mancill <tmancill@debian.org>  Fri, 05 Nov 2010 22:13:41 -0700

bisonc++ (2.8.0-1) unstable; urgency=low

    New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 08 Aug 2010 15:22:26 +0200

bisonc++ (2.7.0-2) unstable; urgency=low

    New release linked against bobcat 2.08.00

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 04 May 2010 13:05:46 +0200

bisonc++ (2.7.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release
  [ George Danchev ]
  * Added source/format
  * Pass -a to debhelper scripts in binary-arch

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 31 Mar 2010 15:58:14 +0200

bisonc++ (2.5.1-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 08 Mar 2010 20:56:09 +0100

bisonc++ (2.5.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 17 Feb 2010 19:36:58 +0100

bisonc++ (2.4.8-1) unstable; urgency=low

  * New upstream release
  * Build-Depends on bobcat 2.04.01

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 05 Sep 2009 17:41:44 +0200

bisonc++ (2.4.7-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 06 May 2009 10:09:05 +0200

bisonc++ (2.4.6-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (using modified build script)
  * Split-off a supplementary documention package bisonc++-doc
  * Application package bisonc++ now suggests bisonc++-doc
  * Added binary-indep, build-indep, install-indep for bisonc++-doc
    construction

  [ George Danchev ]
  * fix watch file to use https://www.icce.rug.nl/debian/bisonc++/ instead SF

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 25 Mar 2009 08:24:48 +0100

bisonc++ (2.4.5-2) unstable; urgency=low

  * rebuild against bobcat 2.00.1-2

 -- George Danchev <danchev@spnet.net>  Sun, 07 Dec 2008 06:55:19 +0200

bisonc++ (2.4.5-1) unstable; urgency=low

  * New upstream release

  * Bisonc++ automatically uses the correct bobcat dependency

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 20 Nov 2008 12:41:32 +0100

bisonc++ (2.4.4-2) unstable; urgency=low

  * bisonc++ depends run-time on libbobcat1 >= 1.20.1, updated debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 02 Nov 2008 11:27:51 +0100

bisonc++ (2.4.4-1) unstable; urgency=low

  * New upstream release, also new dependency (on libbobcat1 1.20.1)

  * Removed superfluous tabs from debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 13 Sep 2008 11:28:02 +0200

bisonc++ (2.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 12 Aug 2008 08:41:31 +0200

bisonc++ (2.4.2-1) unstable; urgency=low

  * New upstream release. (Closes: #465575)
  * Modified package description. (Closes: #466637)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 16 Mar 2008 14:21:37 +0100

bisonc++ (2.4.1-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release.
  * Build-Depends on >= libbobcat1-dev 1.17.1-1
  * Bump Standards-Version 3.7.3

  [ tony mancill ]
  * Add Homepage: and Vcs-Svn: fields to debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 31 Dec 2007 15:35:18 -0800

bisonc++ (2.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 02 Dec 2007 11:28:21 +0100

bisonc++ (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 17 Nov 2007 15:37:36 +0100

bisonc++ (2.3.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #446127)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 18 Oct 2007 15:21:42 +0200

bisonc++ (2.2.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #441631)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 12 Sep 2007 11:42:38 +0200

bisonc++ (2.1.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #431470, #395291, #436593)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 04 Sep 2007 16:02:00 +0200

bisonc++ (2.0.0-2) unstable; urgency=low

  * Added missing ${misc:Depends}

 -- George Danchev <danchev@spnet.net>  Sun, 12 Aug 2007 19:03:56 +0300

bisonc++ (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on bobcat >= 1.15.1, yodl >= 2.11

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 07 Aug 2007 09:58:05 +0200

bisonc++ (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on bobcat >= 1.15.0

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 17 May 2007 15:56:28 +0200

bisonc++ (1.6.0-1) unstable; urgency=low

  * New upstream release. (Closes: #417119)

  * `gos' target in debian/rules changed to:
     ftp://ftp.icce.rug.nl/pub/frank/debian/tarballs/bisonc++

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 09 Apr 2007 15:02:00 +0200

bisonc++ (1.5.2-1) unstable; urgency=low

  * New upstream release:

    1.5.1 is not released. It is available from the svn repository only
    and was created because of a presumed g++ bug. This release is undoing
    those changes, since a modification in Bobcat prevents the bug from
    occurring. Bisonc++ itself is not modified from release 1.5.0 until
    (including) release 1.5.2.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 30 Nov 2006 17:14:10 +0100

bisonc++ (1.5.0-1) unstable; urgency=low

  [ Frank B. Brokken (Tue, 31 Oct 2006 21:09:51 +0100)]
  * New upstream release
    (closes: #395291)

  [ George Danchev ]
  * build depend on yodl 2.04a-1 to avoid possible rawmacro bugs
  * install all README files
  * remove old bison-docs
  * added watch file

 -- George Danchev <danchev@spnet.net>  Sat, 14 Oct 2006 21:16:13 +0300

bisonc++ (1.4.0-3) unstable; urgency=low

  [ George Danchev ]
  * build-depend on icmake >= 6.30-1 (Closes: #391073)
  * debhelper compat 5 - no changes needed

 -- George Danchev <danchev@spnet.net>  Sat,  7 Oct 2006 12:07:52 +0300

bisonc++ (1.4.0-2) unstable; urgency=low

  [ George Danchev ]
  * changelog: upstream author, url locations, debian packaging copyright
  * rules: add get-orig-source and get-svn-trunk targets
  * control: add Tony Mancill <tmancill@debian.org> to uploaders
  * control: add Homepage: http://bisoncpp.sourceforge.net

 -- George Danchev <danchev@spnet.net>  Fri, 15 Sep 2006 08:47:20 +0300

bisonc++ (1.4.0-1) unstable; urgency=low

  * New upstream release

  [ Frank Brokken ]
  * Some leftover references to the Academic Free License were replaced by
    references to the GPL.
  * Debian now uses icmake scripts, and INSTALL.im to define the locations
    of the various targets. Added the directory ./icmake

  [ George Danchev ]
  * New build-depends: icmake and yodl >= 2.03
  * Architecture: any (of course)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 21 Jul 2006 16:48:57 +0200

bisonc++ (1.03-1) unstable; urgency=low

  * License changed to the GNU GENERAL PUBLIC LICENSE. See the file
    `copyright'.

    According to the manual page, the debug-output generated by parsers
    created using the --debug option should be user-controllable through the
    `setDebug()' member. These feature is now actually implemented.

    The usage info now correctly shows the -V flag as a synonym for the
    --verbose option.

    Introduced George Danchev <danchev@spnet.net> as uploader

    From now on this file will only reflect Debian-specific changes. See the
    newly added file changelog for `upstream' changes. At this point,
    changelog will be a copy of debian's changelog file.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 19 Jul 2006 13:12:39 +0200

bisonc++ (1.02) unstable; urgency=low

  * Following suggestions made by George Danchev, this version was compiled by
    the unstable's g++ compiler (version >= 4.1), which unveiled several flaws
    in the library's class header files. These flaws were removed (i.e.,
    repaired).

    In order to facilitate compiler selection, the compiler to use is defined
    in the INSTALL.cf file.

    The debian control-files (i.e., all files under the debian subdirectory)
    were removed from the source distribution, which is now also named in
    accordance with the Debian policy. A diff.gz file was added.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu,  6 Jul 2006 12:41:43 +0200

bisonc++ (1.01) unstable; urgency=low

  * Synchronized the version back to numbers-only, adapted the debian
    standards and the required bobcat library in the debian/control file.
    No implementation changes as compared to the previous version, but I felt
    the need to join various sub-sub-versions back to just one standard
    version.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 26 Jun 2006 12:11:15 +0200

bisonc++ (1.00a) unstable; urgency=low

  * Debian's Linda and lintian errors, warnings and notes processed. No
    messages are generated by linda and lintian in this version.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 28 May 2006 14:26:03 +0200

bisonc++ (1.00) unstable; urgency=low

  * Bisonc++ Version 1.00 has changed markedly as compared to its predecessor,
    bisonc++ 0.98.510.

    The main reason for upgrading to 1.00 following a year of testing the 0.98
    series is that the grammar analysis and lookahead propagation algorithms
    as used in bisonc++ 0.98.510 were either too cumbersome and contained some
    unfortunate errors.

    The errors were discovered during my 2005-2006 C++ class, where some
    students produced grammars which were simple, but were incorrectly
    analyzed by bisonc++ 0.98. It turned out that the lookahead (LA)
    propagation contained several flaws. Furthermore, a plain and simple bug
    assigned the last-used priority to terminal tokens appearing literally in
    the grammar (i.e., without explicitly defining them in a %token or
    comparable directive). A simple, but potentially very confusing bug.

    At the cosmetic level, the information produced with the --construction
    option was modified, aiming at better legibility of the construction
    process.

    The `examples' directory was reduced in size, moving most examples to a
    new directory `regression', which now contains a script `run' that can be
    used to try each of the examples below the `regression' directory. Some of
    the examples call `bison', so in order to run those examples `bison' must
    be installed as well. It usually is.

    A minor backward IN-compatibility results from a change in prototype of
    some private parser member functions. This should only affect exising
    Parser.h header files. Simply replacing the `support functions for
    parse()' section shown at the end of the header file by the following
    lines should make your header file up-to-date again. Note that bisonc++
    does not by itself rewrite Parser.h to prevent undoing any modifications
    you may have implemented in the parser-class header file:

        // support functions for parse():
            void executeAction(int ruleNr);
            void errorRecovery();
            int lookup();
            void nextToken();

    Please note that this version depends on bobcat 1.7.1 or beyond. If you
    compile bobcat yourself, then you may want to know that bobcat's Milter
    and Xpointer classes are not used by bisonc++, so they could optionally be
    left out of bobcat's compilation.


 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun,  7 May 2006 15:10:05 +0200

bisonc++ (0.98.510) unstable; urgency=low

  * When no %union has been declared, no $$ warnings are issued anymore about
    non-exisiting types;
    When no %union has been declared a $<type>i or $<type>$ warning is issued
    about non-exisiting types.

    The State table (in the generated parse.cc file) containing `PARSE_ACCEPT'
    was created with a `REDUCE' indication for grammars whose start symbol's
    production rules were non-repetitive. This was repaired in
    state/writestatearray.cc by setting the (positive) non-reduce indication
    for states using shifts and/or the accept state.

    The logic in writeStateArray() was modifed: a separate ShiftReduce::Status
    variable is now used to store the possible actions: SHIFT, REDUCE or
    ACCEPT. The tables show `SHIFTS' if a state uses shifts; `ACCEPTS' if a
    state contains PARSE_ACCEPT; and `REDUCE' otherwise.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 21 Mar 2006 20:47:49 +0100

bisonc++ (0.98.500) unstable; urgency=low

  * Handling of $<type>i and $<type>$ repaired, added the
    %negative-dollar-indices directive.

    $<type> specifications were not properly parsed. Instead of $<type>i or
    $<type>$ constructions like $i<type> and $$<type> were parsed, which is
    contrary to the manual's specification. The function parsing the $-values
    is defined in parser/handledollar.cc.

    The handling of negative $-indices is improved. Negative $-indices are
    used when synthesizing attributes. In that context, $0 is useful, since it
    refers to the nonterminal matched before the current rule is starting to
    be used, allowing rules like `vardef: typename varlist ' where `varlist'
    inherits the type specification defined at `typename'.

    In most situations indices are positive. Therefore bisonc++ will warn when
    zero or non-positive $-indices are seen. The %negative-dollar-indices
    directive may be used to suppress these warnings.

    $-indices exceeding the number of elements continue to cause an error.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun,  5 Mar 2006 13:59:08 +0100

bisonc++ (0.98.402) unstable; urgency=low

  * links against bobcat 1.6.0, using bobcat's new Arg:: interface

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 26 Dec 2005 19:25:42 +0100

bisonc++ (0.98.400) unstable; urgency=low

  * state/writestatearray.cc adds {} around individual union values to allow
    warningless compilation of the generated parse.cc file by g++-4.0.

    bisonc++ is now itself too compiled by g++-4.0.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 18 Nov 2005 22:46:06 +0100

bisonc++ (0.98.007) unstable; urgency=low

  * Added a README.flex file giving some background information about the
    provided implementation of the lexical scanner (bisonc++/scanner/yylex.cc)

    Modified the compilation scripts: bisconc++/flex/FlexLexer.h is now
    included by default. This FlexLexer.h file is expected by
    bisonc++/scanner/yylex.cc and by the Scanner class.

    Simplified some compilation scripts.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri,  9 Sep 2005 11:42:24 +0200

bisonc++ (0.98.006) unstable; urgency=low

  * Removed the dependency on `icmake'. No change of functionality
    See the instructions in the `INSTALL' file when you want to compile and
    install `bisonc++' yourself, rather than using the binary (.deb)
    distribution.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat,  3 Sep 2005 17:42:29 +0200

bisonc++ (0.98.005) unstable; urgency=low

  * Removed the classes Arg, Errno, Msg and Wrap1, using the Bobcat library's
    versions of these classes from now on. No feature-changes.

    Added minor modifications to the `build' script.

    Annoying Error: The function `ItemSets::deriveAction()' did not recognize
    the `ACCEPT' action, so some (most ?) grammars could not be properly
    recognized. I applied a quick hack: if an action isn't `shift' or
    `reduce', it can be `accept', resulting in acceptance of the grammar. This
    solves the actual problem, but I'll have to insepct this in a bit more
    detail. For now, it should work ok.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 22 Aug 2005 13:05:28 +0200

bisonc++ (0.98.004) unstable; urgency=low

  * When new lookahead set elements are added to existing states,
    d_recheckState in itemsets/lookaheads.cc (ItemSets::checkLookaheads()) was
    reassigned to the state index whose lookaheadset was enlarged. However, if
    that happened for existing state `i' and then, during the same
    state-inspection, for state `j' where j > i, then the recheck would start
    at `j' rather than `i'. This problem was solved by giving d_recheckState
    only a lower value than its current value.

    With R/R conflicts involving `ACCEPT' reductions (with, e.g., `S_$: S .'),
    ACCEPT is selected as the chosen alternative. See State::setReduce()
    (state/setreduce.cc). Since this matches with the `first reduction rule'
    principle, it should be ok.

    %stype specifications may consist of multiple elements: the remainder of
    the line beyond %stype is interpreted as the type definition. The
    specification should (therefore) not contain comment or other characters
    that are not part of the actual type definition. The man-page is adapted
    accordingly. Same holds true for the %ltype directive

    Added a check whether the grammar derives a sentence
    (itemsets/derivesentence.cc). If not, a fatal error is issued. This
    happens at the end of the program's actions, and at this point files
    etc. have already been generated. They are kept rather than removed for
    further reference. Grammars not deriving sentences should probably not be
    used.

    The original Bison documentation has been converted to a Bisonc++ user
    guide. Furthermore, a html-converted manual page is now available under
    /usr/share/doc/bisonc++/man

    The `calculator' example used in the man-page is now under
    /usr/share/doc/bisonc++/man/calculator

    Bisonc++ is distributed under the Academic Free License, see the file
    COPYING in /usr/share/doc/bisonc++

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun,  7 Aug 2005 13:49:07 +0200

bisonc++ (0.98.003) unstable; urgency=low

  * Incomplete default State constructor now explicitly defined, prevents
    the incidental erroneous rapporting of conflicts for some states.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 26 May 2005 07:21:20 +0200

bisonc++ (0.98.002) unstable; urgency=low

  * The Wrap1 configurable unary predicate template class replaces various
    other templates (WrapStatic, Wrap, Pred1Wrap). No further usage or
    implementation changes/modifications.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 22 May 2005 15:27:19 +0200

bisonc++ (0.98.001) unstable; urgency=low

  * This is a complete rewrite of the former bisonc++ (0.91) version. The
    program bisonc++ is now a C++ program, producing C++ sources, using the
    algorithm for creating LALR-1 grammars as outlined by Aho, Sethi and
    Ullman's (1986) `Dragon' book. The release number will remain 0.98 for a
    while, and 0.98.001 holds the initial package, new style. Also see the
    man-page, since some things have been changed (augmented) since the
    previous version. No dramatic changes in the grammar specification method:
    Bisonc++ still uses bison's way to specify grammars, but some features,
    already obsolete in bisonc++ 0.91 were removed.

    Also note my e-mail address: the U. of Groningen's official policy now is
    to remove department specific information, so it's `@rug.nl' rather than
    `@rc.rug.nl', as used before.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 16 May 2005 13:39:38 +0200

bisonc++ (0.91) unstable; urgency=low

  * Added several missing short options (like -B etc) to the getopt() function
    call. I forgot to add them to the previous version(s). Internally, all old
    C style allocations were changed to C++ style allocations, using operators
    new and delete. Where it was immediately obvious that a vector could be
    used, I now use vectors. The internally used types `core' `shifts' and
    'reductions' (types.h) now use a vector data member rather than an int [1]
    member, which is then allocated to its proper (I may hope) size when the
    structs are allocated.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Sat, 19 Feb 2005 10:21:58 +0100

bisonc++ (0.90) unstable; urgency=low

  * Command-line options now override matching declarations specified in the
    grammar specification file.

    All %define declarations have been removed. Instead their first arguments
    are now used to specify declarations. E.g., %parser-skeleton instead of
    %define parser-skeleton.

    All declarations use lower-case letters, and use only separating hyphens,
    no underscores. E.g., %lsp-needed rather than %define LSP_NEEDED
    The declaration %class-name replaces the former %name declaration

    All yy and YY name prefixes of symbols defined by bisonc++ have been
    removed. The parser-state `yydefault' has been renamed to `defaultstate'.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Sun,  6 Feb 2005 12:50:40 +0100

bisonc++ (0.82) unstable; urgency=low

  * Added d_nError as protected data member to the base class. Missed it
    during the initial conversion. d_nErrors counts the number of parsing
    errors. Replaces yynerrs from bison(++)

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Sat, 29 Jan 2005 18:58:24 +0100

bisonc++ (0.81) unstable; urgency=low

  * Added the option --show-files to display the names of the files that are
    used or generated by bisonc++.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Fri, 28 Jan 2005 14:50:48 +0100

bisonc++ (0.80) unstable; urgency=low

  * Completed the initial debian release. No changes in the software.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Fri, 28 Jan 2005 14:30:05 +0100

bisonc++ (0.70-1) unstable; urgency=low

  * Initial Release.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Thu, 27 Jan 2005 22:34:50 +0100
